function range = extendToZero( range )
    if ~isempty(range)
        if length(range)==1
            if range <= 0
                range = [ range 0];
            else
                range = [0 range];
            end
        else
            if range(1) >= 0
                range(1) = 0;
            end
            if range(2) <= 0
                range(2) = 0;
            end
        end
    end
end
